<?php
//输出投票
require("config.php");
$imgwidth=$width*2+50;
$imgheight=$height*2+50;
switch($HTTP_GET_VARS["msg"])
 {
   case "sent_poll":$message="投票成功";break;
   case "sented":$message="已经投过票";break;
   default:$message="";break;
 }
?>

   <?php
     //得到颜色方块
     $farr=file($polldata);
     $topic=trim($farr[0]);
     for($i=1;$i<sizeof($farr);$i++)
       {
          $farr[$i]=trim($farr[$i]);
          if(!$farr[$i]) continue;
          $tmp=explode("^_^",$farr[$i]);
          $polltype[]=$tmp[0];
          $pollnum[]=$tmp[1];
          $pollcolor[]=$tmp[2];
       }
  if($HTTP_GET_VARS["type"]=="b") $ShowType="b";
  else $ShowType="a";
   ?>
<html>
<head>
<title>查看投票结果</title>
<meta http-equiv="Content-type" content="text/html; charset=gb2312">
<link rel="stylesheet" href="style.css">
</head>
<body>
<b><?php echo $message; ?></b>
<br>
<table cellspacing=2 cellpadding=2 width=500 align="center">
<tr bgcolor="#f5f3f2"><td colspan=2 align=center><span style="font-size:18px;color:#b50000"><?php echo $topic;?></font></td></tr>
<tr width=100%><td><img src="3dimg.php?ShowType=<?php echo $ShowType;?>" border=0></td>
 <td width=100% height=100% valign="top">
     <table cellspacing=5 cellpadding=2>
      <?php
       for($i=0;$i<sizeof($pollcolor);$i++)
        {
          echo "<tr><td bgcolor=\"".$pollcolor[$i]."\" width=13>&nbsp;</td><td>".$polltype[$i]."&nbsp;<font color=blue>".$pollnum[$i]."</font>票</td></tr>";
        }
      ?>
    </table>
 </td>
</tr>
<tr bgcolor="#f9f9f8"><td colspan=2 align="center"><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>">请点击刷新以获得最新的统计数据</a></td></tr>
<tr bgcolor="#eeefff"><td colspan=2 align="center"><a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?type=b">条形图方式显示</a>&nbsp;&nbsp;<a href="<?php echo $HTTP_SERVER_VARS["PHP_SELF"];?>?type=a">饼图方式显示</a></td></tr>
</table>
<p style="text-align:center"><button onClick="JavaScript:window.close('this.window')">关闭窗口</button></p>
</body>
</html>
<?php
?>